Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent
Class TreeEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              multivalent.TreeEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeEvent
extends java.awt.AWTEvent

TreeEvent's and all events defined by Java itself, such as those describing mouse and keyboard events, are low-level events. Low-level events are passed through the tree from the root to the leaves, during which observes on nodes can are called before and after the corresponding node is visited. The type of low-level event is given by a integer.

Version:
  $Revision: 1.2 $ $Date: 2002/02/17 15:37:51 $
See Also:
  `SemanticEvent`, Serialized Form

Field Summary
`static int` | `FIND_NODE` Usually filters to leaf, which then sets currentNode in Browser.
`static int` | `STOP` Stop all activity in document, as loading images or running applet.
`static int` | `TREE_FIRST`
`static int` | `TREE_LAST` Validate tree structure. e.g., INode's bbox contains all its children.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeEvent(java.lang.Object source, int id)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.awt.AWTEvent
`consume, getID, isConsumed, paramString, setSource`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TREE_FIRST

    public static final int TREE_FIRST

See Also:
  Constant Field Values

### FIND_NODE

    public static final int FIND_NODE

  Usually filters to leaf, which then sets currentNode in Browser.

  See Also:
    Constant Field Values

### STOP

    public static final int STOP

  Stop all activity in document, as loading images or running applet.

  See Also:
    Constant Field Values

### TREE_LAST

    public static final int TREE_LAST

  Validate tree structure. e.g., INode's bbox contains all its children. public static final int VALIDATE = STOP+1;

  See Also:
    Constant Field Values

Constructor Detail

### TreeEvent

    public TreeEvent(java.lang.Object source,
                     int id)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.AWTEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD